
QGIS Application - Bug report #18639

Layout image: svg parameter data-defined button does not apply to selected item

2018-04-05 07:27 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.1(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26527

Description

I think this is related to #18367 but...

In print layout, make visible both Items and Items properties panels

Add a map item, select an svg file from qgis defaults

Give it some different DD fill color (also applies to other paramaterized DD properties)

Copy paste the item

The new item is selected as shown in Items panel and "canvas". 

Add a DD stroke width

You'll see that it's the first item tha got changed and not the selected one.

Weirder, deselect the item and select the first one, its DD stroke width is set as inactive but it got the stroke width value you enter (and its

spinbox does neither show that value)

Associated revisions

Revision 3c08e2d9 - 2018-04-06 03:31 AM - Nyall Dawson

[layouts] Fix data defined buttons do not update when clicking

between items of same type

Fixes #18637, #18639

Revision 0b627b30 - 2018-04-06 06:19 AM - Nyall Dawson

[layouts] Fix data defined buttons do not update when clicking

between items of same type

Fixes #18637, #18639

(cherry-picked from 3c08e2)

History

#1 - 2018-04-06 03:31 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed
Applied in changeset commit:qgis|3c08e2d96f5e620e4e8ae007b54ae15ccf47802b.
